.App {
  text-align: center;
}

.App-logo {
  height: 40vmin;
  pointer-events: none;
}

@media (prefers-reduced-motion: no-preference) {
  .App-logo {
    animation: App-logo-spin infinite 20s linear;
  }
}

.App-header {
  background-color: #282c34;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  font-size: calc(10px + 2vmin);
  color: white;
}

.App-header .controls {
  padding: 2rem;
  display: flex;
}

.App-header .controls button {
  margin: 0 1rem;
  padding: 0.75rem;
  font-weight: bold;
}

#container {
  display: flex;
  justify-content: center;
  margin-top: 5rem;
  padding: 3rem;
}

#game {
  box-sizing: border-box;
  border: 1px solid #000;
  border-collapse: collapse;
}

#game td, #game th {
  width: 1.5rem;
  height: 1.5rem;
  border: #252525 solid 1px;
  box-sizing: border-box;
}

#game td.alive {
  background-color: #ccdd22;
}

@keyframes App-logo-spin {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}
